Subject: Re: [PATCH net-next] net: phy: improve handling link_change_notify callback

From: Heiko Stuebner <[email-masked]>
Date: Tue, 12 Mar 2019 13:27:27 +0100

Hi Andrew, Heiner,

Am Montag, 4. März 2019, 21:06:30 CET schrieb Andrew Lunn:
> On Mon, Mar 04, 2019 at 11:30:25AM -0800, David Miller wrote:
> > From: Heiner Kallweit <[email-masked]>
> > Date: Sun, 3 Mar 2019 19:58:57 +0100
> > 
> > > Currently the Phy driver's link_change_notify callback is called
> > > whenever the state machine is run (every second if polling), no matter
> > > whether the state changed or not. This isn't needed and may confuse
> > > users considering the name of the callback. Therefore let's change
> > > the behavior and call this callback only in case of an actual
> > > state change.
> > > 
> > > This requires changes to the at803x and rockchip drivers.
> > > at803x can be simplified so that it reacts on a state change to
> > > PHY_NOLINK only.
> > > The rockchip driver can also be much simplified. We simply re-init
> > > the AFE/DSP registers whenever we change to PHY_RUNNING and speed
> > > is 100Mbps. This causes very small overhead because we do this even
> > > if the speed was 100Mbps already. But this is neglectable and
> > > I think justified by the much simpler code.
> > > 
> > > Changes are compile-tested only.
> > > 
> > > Signed-off-by: Heiner Kallweit <[email-masked]>
> > 
> > Someone please review this.
> 
> Hi David
> 
> We should probably wait for a Tested-by: from Daniel Mack
> <[email-masked]> and David Wu <[email-masked]>, or
> equivalent.

We should probably add them to the list of recipients if we want
tests from them, which I've done now.

@David: patch in question that changes the Rockchip eth-phy is
https://patchwork.kernel.org/patch/10837217/

Sadly I don't have matching hardware to test this myself.

Heiko